std::integer_sequence< _Tp, _Idx > Struct Template Reference

`#include <utility.h>`

## Public Types

typedef _Tp | value_type

## Static Public Member Functions

static constexpr size_t | size () noexcept

## Detailed Description

template<typename _Tp, _Tp... _Idx>
struct std::integer_sequence< _Tp, _Idx >

Class template integer_sequence.

Definition at line 469 of file utility.h.

## Member Typedef Documentation

## value_type

template<typename _Tp, _Tp... _Idx>

typedef _Tp std::integer_sequence< _Tp, _Idx >::value_type

Definition at line 474 of file utility.h.

## Member Function Documentation

## size()

template<typename _Tp, _Tp... _Idx>

constexpr size_t std::integer_sequence< _Tp, _Idx >::size | ( |  | ) |

inline static constexpr noexcept

Definition at line 475 of file utility.h.

The documentation for this struct was generated from the following file:

- utility.h